Subject: INS notification mails

From: [email-masked] (Yi Guo)
Date: Tue, 15 Mar 94 10:23:17 CST

To those of you who has already received something from INS,
   The post office left a certified mail pick up notice in my mail box lately
   which I believe is from the Dallas INS.  For some reason the post office
   messed up their stock that I cannot pick up my mail as hoped.
   Just to speculate what that might be, which leads me to the following
   question:
   Did your INS send you notice of completion or approval notice in certified
   mail?

   For the folks who keep the status list:
   Dallas INS is sending something now.  The nature of that depends on the
   great U.S. postal service' efficiency and success rate.  I will let you
   folks know ASAP.

   Thanks!